Ogre::NearestResampler< elemsize > Struct Template Reference
Image

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions

static void | scale (const PixelBox &src, const PixelBox &dst)

## Detailed Description

### template<unsigned int elemsize>
struct Ogre::NearestResampler< elemsize >

Definition at line 54 of file OgreImageResampler.h.

## Member Function Documentation

template<unsigned int elemsize>

static void Ogre::NearestResampler< elemsize >::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst
| ) |  | `[static]`

Definition at line 55 of file OgreImageResampler.h.

References Ogre::Box::back, Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::Box::right, Ogre::PixelBox::rowPitch, Ogre::PixelBox::slicePitch, and Ogre::Box::top.

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:43